{
  "schema_version": "1.4.0",
  "id": "GHSA-5wjr-7h39-qr5r",
  "modified": "2025-04-09T03:48:12Z",
  "published": "2022-05-01T18:32:47Z",
  "aliases": [
    "CVE-2007-5392"
  ],
  "details": "Integer overflow in the DCTStream::reset method in xpdf/Stream.cc in Xpdf 3.02p11 allows remote attackers to execute arbitrary code via a crafted PDF file, resulting in a heap-based buffer overflow.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2007-5392"
    },
    {
      "type": "WEB",
      "url": "https://exchange.xforce.ibmcloud.com/vulnerabilities/38303"
    },
    {
      "type": "WEB",
      "url": "https://issues.rpath.com/browse/RPL-1926"
    },
    {
      "type": "WEB",
      "url": "https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A10036"
    },
    {
      "type": "WEB",
      "url": "https://www.redhat.com/archives/fedora-package-announce/2007-December/msg00369.html"
    },
    {
      "type": "WEB",
      "url": "https://www.redhat.com/archives/fedora-package-announce/2007-November/msg00215.html"
    },
    {
      "type": "WEB",
      "url": "https://www.redhat.com/archives/fedora-package-announce/2007-November/msg00224.html"
    },
    {
      "type": "WEB",
      "url": "https://www.redhat.com/archives/fedora-package-announce/2007-November/msg00238.html"
    },
    {
      "type": "WEB",
      "url": "https://www.redhat.com/archives/fedora-package-announce/2007-November/msg00663.html"
    },
    {
      "type": "WEB",
      "url": "https://www.redhat.com/archives/fedora-package-announce/2007-November/msg00724.html"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/26503"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/27260"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/27553"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/27573"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/27574"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/27575"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/27577"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/27578"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/27599"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/27615"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/27618"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/27619"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/27632"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/27634"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/27636"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/27637"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/27640"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/27641"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/27642"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/27645"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/27656"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/27658"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/27705"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/27721"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/27724"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/27743"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/27856"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/28043"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/28812"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/29104"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/29604"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/30168"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/secunia_research/2007-88/advisory"
    },
    {
      "type": "WEB",
      "url": "http://security.gentoo.org/glsa/glsa-200711-22.xml"
    },
    {
      "type": "WEB",
      "url": "http://security.gentoo.org/glsa/glsa-200711-34.xml"
    },
    {
      "type": "WEB",
      "url": "http://security.gentoo.org/glsa/glsa-200805-13.xml"
    },
    {
      "type": "WEB",
      "url": "http://slackware.com/security/viewer.php?l=slackware-security&y=2007&m=slackware-security.761882"
    },
    {
      "type": "WEB",
      "url": "http://support.novell.com/techcenter/psdb/1d5fd29802b2ef7e342e733731f1e933.html"
    },
    {
      "type": "WEB",
      "url": "http://support.novell.com/techcenter/psdb/3867a5092daac43cd6a92e6107d9fbce.html"
    },
    {
      "type": "WEB",
      "url": "http://support.novell.com/techcenter/psdb/43ad7b3569dba59e7ba07677edc01cad.html"
    },
    {
      "type": "WEB",
      "url": "http://support.novell.com/techcenter/psdb/da3498f05433976cc548cc4eaf8349c8.html"
    },
    {
      "type": "WEB",
      "url": "http://support.novell.com/techcenter/psdb/f83e024a65d69ebc810d2117815b940d.html"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2008/dsa-1480"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2008/dsa-1509"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2008/dsa-1537"
    },
    {
      "type": "WEB",
      "url": "http://www.kde.org/info/security/advisory-20071107-1.txt"
    },
    {
      "type": "WEB",
      "url": "http://www.mandriva.com/security/advisories?name=MDKSA-2007:219"
    },
    {
      "type": "WEB",
      "url": "http://www.mandriva.com/security/advisories?name=MDKSA-2007:220"
    },
    {
      "type": "WEB",
      "url": "http://www.mandriva.com/security/advisories?name=MDKSA-2007:221"
    },
    {
      "type": "WEB",
      "url": "http://www.mandriva.com/security/advisories?name=MDKSA-2007:222"
    },
    {
      "type": "WEB",
      "url": "http://www.mandriva.com/security/advisories?name=MDKSA-2007:223"
    },
    {
      "type": "WEB",
      "url": "http://www.mandriva.com/security/advisories?name=MDKSA-2007:227"
    },
    {
      "type": "WEB",
      "url": "http://www.mandriva.com/security/advisories?name=MDKSA-2007:228"
    },
    {
      "type": "WEB",
      "url": "http://www.mandriva.com/security/advisories?name=MDKSA-2007:230"
    },
    {
      "type": "WEB",
      "url": "http://www.novell.com/linux/security/advisories/2007_60_pdf.html"
    },
    {
      "type": "WEB",
      "url": "http://www.redhat.com/support/errata/RHSA-2007-1021.html"
    },
    {
      "type": "WEB",
      "url": "http://www.redhat.com/support/errata/RHSA-2007-1022.html"
    },
    {
      "type": "WEB",
      "url": "http://www.redhat.com/support/errata/RHSA-2007-1024.html"
    },
    {
      "type": "WEB",
      "url": "http://www.redhat.com/support/errata/RHSA-2007-1025.html"
    },
    {
      "type": "WEB",
      "url": "http://www.redhat.com/support/errata/RHSA-2007-1026.html"
    },
    {
      "type": "WEB",
      "url": "http://www.redhat.com/support/errata/RHSA-2007-1027.html"
    },
    {
      "type": "WEB",
      "url": "http://www.redhat.com/support/errata/RHSA-2007-1029.html"
    },
    {
      "type": "WEB",
      "url": "http://www.redhat.com/support/errata/RHSA-2007-1030.html"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/archive/1/483372"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/26367"
    },
    {
      "type": "WEB",
      "url": "http://www.securitytracker.com/id?1018905"
    },
    {
      "type": "WEB",
      "url": "http://www.ubuntu.com/usn/usn-542-1"
    },
    {
      "type": "WEB",
      "url": "http://www.ubuntu.com/usn/usn-542-2"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2007/3774"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2007/3775"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2007/3776"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2007/3779"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2007/3786"
    }
  ],
  "database_specific": {
    "cwe_ids": [
      "CWE-119"
    ],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2007-11-08T02:46:00Z"
  }
}